imgs = []

objX = 50
objY = 0
imgIndex = 0
score = 0

def setup():
    size(1024, 1024)
    noStroke()
    #hide cursor for better experience
    noCursor()
    
    #load character images
    imgs.append(loadImage('5.png'))
    imgs.append(loadImage('4.png'))
    imgs.append(loadImage('3.png'))
    imgs.append(loadImage('2.png'))
    imgs.append(loadImage('1.png'))
    
    #change the alignment of image to center
    imageMode(CENTER)
    
    #custom font family
    ff = createFont('font.ttf', 64)
    textFont(ff)
    
def draw():
    #get global variables
    global objX, objY, speed, imgIndex, score
    
    #background image
    bg = loadImage('bg.png')
    background(bg)
    
    #display text and score
    dt = "SCORE: " + str(score)
    textSize(64)
    text(dt, 50, 100)
    
    
    #set ascending speed, becomes faster and harder after player reach certain scores
    objY = objY - random(20, 30)
    if(score >= 50):
        objY = objY - random(30, 40)
    if(score >=100):
        objY = objY - random(50, 60)
        
    #if object is out of the screen, reset object location
    if(objY < - 129):
        objY = height +129
        objX = random(100, width - 100)
        imgIndex = int(random(5))
    
    #spawn flying object
    image(imgs[imgIndex],objX, objY, 100, 129)
    
    #check collisions between snipe and character
    if(mouseY >= objY - imgs[imgIndex].height/2 and mouseY <= objY + imgs[imgIndex].height/2):
        if(mouseX >= objX - imgs[imgIndex].width/2 and mouseX <= objX + imgs[imgIndex].width/2):
            if(mousePressed):
                score = score + 1
                objY = height + 129
                objX = random(100, width - 100)
                imgIndex = int(random(5))
                print("collision")
        
    #Aiming distraction every 8 seconds
    if(second() % 8 == 0):
        rotate(random(-0.2, 0.2))
   
    #the sniping lens 
    fill(255)
    stroke(255)
    circle(mouseX, mouseY, 3)
    noFill()
    line(mouseX - 38, mouseY, mouseX + 38, mouseY)
    line(mouseX, mouseY - 38, mouseX, mouseY + 38)
    circle(mouseX, mouseY, 40)
    circle(mouseX, mouseY, 80)
    
    
    
